----------------------------------------------------------------------
--                                                                  --
--                 ASIS_Expression_Resolver.Predefined              --
--                                                                  --
--                  Copyright (c) 2001, Marc A. Criley              --
--                                                                  --
-- ASIS_Expression_Resolver.Predefined is free  software; you can   --
-- redistribute it  and/or modify  it  under  terms of  the  GNU    --
-- General  Public License  as published  by the  Free Software     --
-- Foundation; either version   2,   or   (at   your  option)   any --
-- later   version.  ASIS_Expression_Resolver is distributed in the --
-- hope that it will be useful,  but WITHOUT ANY  WARRANTY; without --
-- even  the implied warranty of MERCHANTABILITY or FITNESS FOR A   --
-- PARTICULAR PURPOSE.  See the GNU General Public License for more --
-- details.                                                         --
--                                                                  --
-- As a special exception, if other files instantiate generics from --
-- this unit, or you link this  unit with other files to produce an --
-- executable,  this unit does  not by  itself cause  the resulting --
-- executable  to be  covered by  the GNU  General  Public License. --
-- This exception does not however invalidate any other reasons why --
-- the executable file might be covered by the GNU Public License.  --
--                                                                  --
-- If  you have comments,  questions, have  found bugs  (and better --
-- yet,  bug fixes  :-), or  wish to  suggest  additional features, --
-- please contact the author at mcriley@acm.org.                    --
--                                                                  --
-- Change History:                                                  --
--    1.0          18 Jan 2001   Initial Release                    --
----------------------------------------------------------------------

package Asis_Expression_Resolver.Predefined is

   -------------------------------------------------------------------
   -- Preinstantiated versions for commonly used types
   -------------------------------------------------------------------

   procedure Boolean_Value_Of is new Cardinal_Value_Of(Boolean);

   procedure Character_Value_Of is new Cardinal_Value_Of(Character);

   -------------------------------------------------------------------

end Asis_Expression_Resolver.Predefined;
